post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to remove items (site/group/device) from exclude list of organizations in Saner Server.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization whose exclude list items will be removed | Yes | string |
| site | Site name required when removing excluded groups or devices | Yes (required if removing group/device) | string |
| excludegroup | Name of the group(s) to remove from exclude list | No | string |
| excludedevice | Name of the device(s) to remove from exclude list | No | string |
| excludesite | Name of the site(s) to remove from exclude list | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.AD.removeScanExcludeList(
organization="Demo Org",
site="test site",
excludesite=["site 1","site 2"],
excludedevice=["device 1","device 2"],
excludegroup=["group 1","group 2"]
)
print(response)
client.close()Requires Python 3.9 or later.